Bug 429898 - Skype crashes (nouveau driver)
Skype crashes (nouveau driver)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 12:45 EST by antonio montagnani
Modified: 2009-08-03 03:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 18:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log of a crash (3.19 KB, text/plain)
2008-01-24 12:05 EST, antonio montagnani
no flags Details
my xorg.conf file (699 bytes, application/x-extension-conf)
2008-01-24 12:09 EST, antonio montagnani
no flags Details
Xorg.0.log file (39.51 KB, text/plain)
2008-01-24 12:16 EST, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2008-01-23 12:45:36 EST
Description of problem:
When Skype is started X crashes and user is logged out

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.6-6.fc9

How reproducible:
always

Steps to Reproduce:
1.start skype
2.
3.
  
Actual results:
X crashes

Expected results:
Skype starts

Additional info:

It was running  fine until two days ago, skype is running with nv
driver...GoogleEarth is fine!!! Until two days ago Skype was o.k. and
GoogleEarth crashed X. If I switch to nv driver Skype works but Googleearth
crashes X.
Comment 1 antonio montagnani 2008-01-23 12:49:33 EST
Forgot to say in the report that driver is nouveau
Comment 2 Matěj Cepl 2008-01-24 11:53:09 EST
I feel skeptical -- unless you show me useful stacktrace (i.e., it has to be
from open-source application, because otherwise you won't create useful
stacktrace), I will be suspicious that it is bug in skype.

Anyway, please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

However, unless I see something obvious in the log, I will be suspicious about
skype, so proving that some open-source app crashes as well would be helpful.

Thanks in advance.
Comment 3 antonio montagnani 2008-01-24 12:05:28 EST
Created attachment 292819 [details]
log of a crash

I booted at runlevel=3 then I logged in as user, then I issued startx>crash.txt
1>&2 and then I started Skype. I do not know if any useful can be found in it.

What surprises me that with nv driver is working bit not with nouveau.

Other attachements will follow
Comment 4 antonio montagnani 2008-01-24 12:09:17 EST
Created attachment 292821 [details]
my xorg.conf file
Comment 5 antonio montagnani 2008-01-24 12:16:29 EST
Created attachment 292824 [details]
Xorg.0.log file
Comment 6 Matěj Cepl 2008-01-24 19:06:00 EST
(In reply to comment #3)
> What surprises me that with nv driver is working bit not with nouveau.

That's very simple -- although I have unending respect for nouveau developers,
their driver is just not there YET in terms of stability and maturity.

Actually, I don't see any backtrace from X in the log. What EXACTLY happens,
when you run command

skype

in the gnome-terminal (or whatever is your console emulator in X)?

Something like (this is just an example to show how detailed I wont the
description to be):

- ten seconds nothing, skype is starting,
- panel flashes three times,
- everything evaporates from the screen except for background,
- screen is black, mouse is moving, but even Ctrl-Alt-Backspace doesn't help to
make X working again.

Putting this bug into NEEDINFO
Comment 7 Matěj Cepl 2008-01-24 19:08:37 EST
BTW, if X gets to unusable state, you may investigate further your computer
using ssh from other computer. In such case, it would be interesting to see,
whether X actually crashed (i.e., pgrep -f -l Xorg gives no output), or if it is
running whether it takes almost all CPU of the computer (run top and take a look
at the top process to find out).
Comment 8 antonio montagnani 2008-01-25 03:58:31 EST
(In reply to comment #6)
> (In reply to comment #3)
> > What surprises me that with nv driver is working bit not with nouveau.

> 
> That's very simple -- although I have unending respect for nouveau developers,
> their driver is just not there YET in terms of stability and maturity.

When I say surprised I do not blame nouveau developers, as I find good
performance but I mean that something strange has happened during some driver
upgrade, but I am not sure as for some time I didn't run Skype on that machine
as I usually a wireless Skype phone....Skype was working with nouveau, then it
started breaking X

> 
> Actually, I don't see any backtrace from X in the log. What EXACTLY happens,
> when you run command
> 
> skype
> 
> in the gnome-terminal (or whatever is your console emulator in X)?
> 
> Something like (this is just an example to show how detailed I wont the
> description to be):
> 
> - ten seconds nothing, skype is starting,
> - panel flashes three times,
> - everything evaporates from the screen except for background,
> - screen is black, mouse is moving, but even Ctrl-Alt-Backspace doesn't help to
> make X working again.
> 
> Putting this bug into NEEDINFO

No difference if I start Skype from the menu or from a terminal:
1)skype starts with the initial window calling for username and password
2) when I click on o.k. after a very short period a blank screen appears, then I
get the login screen of Fedora calling for username and password

I do not if that is correlated, but after this kind of crash when I stop the
machine I get a blurred screen orange coloured and not a single line of closing
procedure...




Comment 9 Matěj Cepl 2008-01-25 06:58:41 EST
OK, putting this bug officially on probation -- unless you will show me in a
month useful backtrace from some open source application which crashes you X, I
will blame Skype and close this bug as CANTFIX.
Comment 10 Matěj Cepl 2008-02-25 18:08:11 EST
Doing as promised.
Comment 11 Alexey Kuznetsov 2009-08-03 03:36:26 EDT
can be related to bug in Xserver.

https://bugzilla.redhat.com/show_bug.cgi?id=505839

https://bugzilla.redhat.com/show_bug.cgi?id=505823

Note You need to log in before you can comment on or make changes to this bug.